<?php 
function connectd()
{


    include("asl.php");
    $conn = new PDO("mysql:host=$servername;dbname=$mydb", $username, $password, array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8mb4"));
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    return $conn;
}
$conn = connectd();

include('functions.php');
include('class/bot.php');


$allowedChatIds = [7444950700, 6316143685, 7173186129, 7064234824, 123579145];


    $time = time() - (24 * 60 * 60);


$sql = "SELECT 
products2.chatid,
user.name,
user.username,
products2.subject,
SUM(CASE 
    WHEN products2.problem = 'Disabled' THEN products2.c - products2.l_problem 
    WHEN products2.problem = 'Country' THEN products2.c - products2.j_problem 
    WHEN products2.problem = 'Subscription' THEN products2.c - products2.k_problem
	WHEN products2.problem = 'Already' THEN products2.c - products2.q_problem
	WHEN products2.problem = 'Problem' THEN products2.c - products2.r_problem

    ELSE 0
END) AS total_problem
FROM 
products2
JOIN 
user ON products2.chatid = user.chatid
WHERE 
products2.status = 'problem'
AND products2.problem_time > $time
GROUP BY 
products2.chatid, products2.subject, user.name, user.username
HAVING 
products2.subject BETWEEN 1 AND 10;
";

    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $results = $stmt->fetchAll();



    foreach($results as $result){

        $telname = $result['name'];
        $username = $result['username'];
        $subject = $result['subject'];
        $total_problem = $result['total_problem'];

$text = "
نام کاربر :‌ $telname
یوزرنیم کاربر :‌ $usernamed
دسته : $subject
جمع :‌ $total_problem
";
    
        // sendmessage(urlencode($text), $chatid, '');
        foreach ($allowedChatIds as $chatid) {
        sendmessage(urlencode($text), $chatid, '');
                                            }

    }
    
    
    
    
    
    // Group A 
    $allowedChatIds = [7444950700, 6316143685, 7173186129, 7064234824, 123579145];
    
    foreach ($allowedChatIds as $chatid) {
    




    $now = time() - (24 * 60 * 60);

    // $sql = "SELECT SUM(c - e_problem) AS total_difference
    // FROM products
    // WHERE problem = 'e' AND status = 'problem' AND subject = 1 and problem_time >= $now;    
    // ";

    $sql = "SELECT SUM(c - 
    CASE problem
        WHEN 'NO Charge' THEN e_problem
        WHEN 'Support' THEN f_problem
        WHEN 'Disabled/Not active' THEN g_problem
        WHEN 'Lock' THEN h_problem
        WHEN 'عدم تطابق مقدار شارژ' THEN i_problem
        WHEN 'Subscription' THEN p_problem
    END) AS total_difference
FROM products
WHERE status = 'problem' 
    AND subject = 1 and problem_time >= $now;
";

// sendmessage(urlencode('here : ' . $sql), $chatid, '');


    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $results = $stmt->fetchAll();


    $totalOne = $results[0]['total_difference'];
    $textOne = "آمار 1 : $totalOne";
    sendmessage(urlencode($textOne), $chatid, '');


    // $sql = "SELECT SUM(c - e_problem) AS total_difference
    // FROM products
    // WHERE problem = 'e' AND status = 'problem' AND subject = 2 and problem_time >= $now;    
    // ";


$sql = "SELECT SUM(c - 
    CASE problem
        WHEN 'NO Charge' THEN e_problem
        WHEN 'Support' THEN f_problem
        WHEN 'Disabled/Not activ' THEN g_problem
        WHEN 'Lock' THEN h_problem
        WHEN 'عدم تطابق مقدار شارژ' THEN i_problem
        WHEN 'Subscription' THEN p_problem
    END) AS total_difference
FROM products
WHERE status = 'problem' 
    AND subject = 2 and problem_time >= $now;
";

    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $results = $stmt->fetchAll();


    $totalTwo = $results[0]['total_difference'];
    $textTwo = "آمار 2 : $totalTwo";
    sendmessage(urlencode($textTwo), $chatid, '');


    // $sql = "SELECT SUM(c - e_problem) AS total_difference
    // FROM products
    // WHERE problem = 'e' AND status = 'problem' AND subject = 3 and problem_time >= $now;    
    // ";

$sql = "SELECT SUM(c - 
    CASE problem
        WHEN 'NO Charge' THEN e_problem
        WHEN 'Support' THEN f_problem
        WHEN 'Disabled/Not active' THEN g_problem
        WHEN 'Lock' THEN h_problem
        WHEN 'عدم تطابق مقدار شارژ' THEN i_problem
        WHEN 'Subscription' THEN p_problem
    END) AS total_difference
FROM products
WHERE status = 'problem' 
    AND subject = 3 and problem_time >= $now;
";

    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $results = $stmt->fetchAll();


    $totalThree = $results[0]['total_difference'];
    $textThree = "آمار 3 : $totalThree";
    sendmessage(urlencode($textThree), $chatid, '');


    // $sql = "SELECT SUM(c - e_problem) AS total_difference
    // FROM products
    // WHERE problem = 'e' AND status = 'problem' AND subject = 4 and problem_time >= $now;    
    // ";

    $sql = "SELECT SUM(c - 
    CASE problem
        WHEN 'NO Charge' THEN e_problem
        WHEN 'Support' THEN f_problem
        WHEN 'Disabled/Not active' THEN g_problem
        WHEN 'Lock' THEN h_problem
        WHEN 'عدم تطابق مقدار شارژ' THEN i_problem
        WHEN 'Subscription' THEN p_problem
    END) AS total_difference
FROM products
WHERE status = 'problem' 
    AND subject = 4 and problem_time >= $now;
";

    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $results = $stmt->fetchAll();


    $totalFour = $results[0]['total_difference'];
    $textFour = "آمار 4 : $totalFour";
    sendmessage(urlencode($textFour), $chatid, '');



    // $sql = "SELECT SUM(c - e_problem) AS total_difference
    // FROM products
    // WHERE problem = 'e' AND status = 'problem' AND subject = 5 and problem_time >= $now;    
    // ";

    $sql = "SELECT SUM(c - 
    CASE problem
        WHEN 'NO Charge' THEN e_problem
        WHEN 'Support' THEN f_problem
        WHEN 'Disabled/Not active' THEN g_problem
        WHEN 'Lock' THEN h_problem
        WHEN 'عدم تطابق مقدار شارژ' THEN i_problem
        WHEN 'Subscription' THEN p_problem
    END) AS total_difference
FROM products
WHERE status = 'problem' 
    AND subject = 5 and problem_time >= $now;
";

    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $results = $stmt->fetchAll();


    $totalFive = $results[0]['total_difference'];
    $textFive = "آمار 5 : $totalFive";
    sendmessage(urlencode($textFive), $chatid, '');


    // $sql = "SELECT SUM(c - e_problem) AS total_difference
    // FROM products
    // WHERE problem = 'e' AND status = 'problem' AND subject = 6 and problem_time >= $now;    
    // ";


    $sql = "SELECT SUM(c - 
    CASE problem
        WHEN 'NO Charge' THEN e_problem
        WHEN 'Support' THEN f_problem
        WHEN 'Disabled/Not active' THEN g_problem
        WHEN 'Lock' THEN h_problem
        WHEN 'عدم تطابق مقدار شارژ' THEN i_problem
        WHEN 'Subscription' THEN p_problem
    END) AS total_difference
FROM products
WHERE status = 'problem' 
    AND subject = 6 and problem_time >= $now;
";
    $stmt = $conn->prepare($sql);
    $stmt->execute();
    $stmt->setFetchMode(PDO::FETCH_ASSOC);
    $results = $stmt->fetchAll();


    $totalSix = $results[0]['total_difference'];
    $textSix = "آمار 6 : $totalSix";
    sendmessage(urlencode($textSix), $chatid, '');


    // $sql = "SELECT SUM(c - e_problem) AS total_difference
    // FROM products
    // WHERE problem = 'e' AND status = 'problem' AND subject = 7 and problem_time >= $now;    
    // ";

    // $stmt = $conn->prepare($sql);
    // $stmt->execute();
    // $stmt->setFetchMode(PDO::FETCH_ASSOC);
    // $results = $stmt->fetchAll();


    // $totalEight = $results[0]['total_difference'];
    // $textEight = "آمار 8 : $totalEight";
    // sendmessage(urlencode($textEight), $chatid, '');

    // $sql = "SELECT SUM(c - e_problem) AS total_difference
    // FROM products
    // WHERE problem = 'e' AND status = 'problem' AND subject = 9 and problem_time >= $now;    
    // ";

    // $stmt = $conn->prepare($sql);
    // $stmt->execute();
    // $stmt->setFetchMode(PDO::FETCH_ASSOC);
    // $results = $stmt->fetchAll();


    // $totalNine = $results[0]['total_difference'];
    // $textNine = "آمار 9 : $totalNine";
    // sendmessage(urlencode($textNine), $chatid, '');


    // $sql = "SELECT SUM(c - e_problem) AS total_difference
    // FROM products
    // WHERE problem = 'e' AND status = 'problem' AND subject = 10 and problem_time >= $now;    
    // ";

    // $stmt = $conn->prepare($sql);
    // $stmt->execute();
    // $stmt->setFetchMode(PDO::FETCH_ASSOC);
    // $results = $stmt->fetchAll();


    // $totalTen = $results[0]['total_difference'];
    // $textTen = "آمار 10 : $totalTen";
    // sendmessage(urlencode($textTen), $chatid, '');

}

